<mat-card class="center">
    <mat-card-header>
        <mat-icon mat-card-avatar>account_circle</mat-icon>
        <mat-card-title>
            Aggiungi nuovo utente
        </mat-card-title>
    </mat-card-header>
    <mat-card-content>

        <form [formGroup]="AggiungiForm" (ngSubmit)="addItem()">
            <p>
                <mat-form-field appearance="outline">
                    <mat-label>Nome</mat-label>
                    <input matInput type="text" autocomplete="nome" formControlName="nome">
                    <mat-error>Inserire un nome!</mat-error>
                </mat-form-field>
            </p>
            <p>
                <mat-form-field appearance="outline">
                    <mat-label>Cognome</mat-label>
                    <input matInput type="text" autocomplete="cognome" formControlName="cognome">
                    <mat-error>Inserire un cognome!</mat-error>
                </mat-form-field>
            </p>
            <p>
                <mat-form-field appearance="outline">
                    <mat-label>Email</mat-label>
                    <input  matInput type="text"  autocomplete="email" formControlName="email">
                    <mat-error *ngIf="
                    AggiungiForm.get('email')?.hasError('email')&&
                    !AggiungiForm.get('email')?.hasError('required')
                    "
                    >Indirizzo email non valido!</mat-error>

                    <mat-error *ngIf="
                    AggiungiForm.get('email')?.hasError('required')"
                    >Inserire un indirizzo email!</mat-error>
                
                
                
                </mat-form-field>
            </p>
            <p>
                <mat-form-field appearance="outline">
                    <mat-icon matSuffix>phone</mat-icon>
                    <mat-label>Telefono</mat-label>
                    <input  matInput type="text"  autocomplete="telefono" formControlName="telefono">
                </mat-form-field>
            </p>
            <button style='margin-right:16px'
                mat-raised-button color="primary" 
                type="submit"
                [disabled]="!AggiungiForm.valid"
                >Inserisci</button>

               <button style='margin-right:16px'
                mat-raised-button color="warn" 
                (click)="btAnnulla()"
                
                >Annulla</button>

        </form>

    </mat-card-content>

</mat-card>